//
//  PlayGround
//
//  Copyright 2015 Daniel Cohen Gindi & Philipp Jahoda
//  Copyright © 2017 thierry Hentic.
//  A port of MPAndroidChart for iOS
//  Licensed under Apache License 2.0
//
//  https://github.com/danielgindi/ios-charts
/*:
 ****
 [Menu](Menu)
 
 [Previous](@previous) | [Next](@next)
 ****
 */

//: # Line Chart
import Cocoa
import Charts
import PlaygroundSupport



let r = CGRect(x: 0, y: 0, width: 600, height: 600)
var chartView = LineChartView(frame: r)

//: ### General

chartView.drawGridBackgroundEnabled = true
chartView.backgroundColor = #colorLiteral(red: 0.8039215803, green: 0.8039215803, blue: 0.8039215803, alpha: 1)
chartView.borderColor = NSUIColor.black
chartView.drawBordersEnabled = true

//: ### xAxis
let xAxis = chartView.xAxis
xAxis.labelPosition = .bottom

//: ### LeftAxis
let leftAxis = chartView.leftAxis
leftAxis.labelTextColor = #colorLiteral(red: 0.01680417731, green: 0.1983509958, blue: 1, alpha: 1)
leftAxis.drawGridLinesEnabled = true


//: ### RightAxis
let rightAxis = chartView.rightAxis
rightAxis.enabled = false

//: ### Legend

//: ### Description
chartView.chartDescription?.enabled = false

//: ### ChartDataEntry
var yVals1 = [ChartDataEntry]()

for i in stride(from: -2000, through: 2000, by: 10)
{
    yVals1.append(ChartDataEntry(x: Double(i), y: Double( i * i)))
}


//: ### LineChartDataSet
var set1 = LineChartDataSet()

set1 = LineChartDataSet(values: yVals1, label: "DataSet 1")
set1.axisDependency = .left
set1.setColor(.blue)
set1.drawCirclesEnabled = false

var dataSets = [LineChartDataSet]()
dataSets.append(set1)


//: ### LineChartData
let data = LineChartData(dataSets: dataSets)
data.setDrawValues(false)
chartView.data = data

//: ### Setup for the live view
PlaygroundPage.current.liveView = chartView




